Name:          freeciv
Version:       3.1.4
Release:       1mamba
Summary:       Freeciv is a Free and Open Source empire-building strategy game
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://freeciv.fandom.com/wiki/Main_Page
Source:        http://downloads.sourceforge.net/sourceforge/freeciv/freeciv-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libMagick-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libSDL2-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblua-devel
BuildRequires: liblzma-devel
BuildRequires: libpango-devel
BuildRequires: libreadline-devel
BuildRequires: libsdl2_mixer-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libMagick-devel >= 7.1.0.35-1mamba
BuildRequires: libuuid-devel

%description
Freeciv is a Free and Open Source empire-building strategy game inspired by the history of human civilization. The game commences in prehistory and your mission is to lead your tribe from the stone age to the space age...


%prep
%setup -q

%build
%configure --enable-client=qt
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/freeciv
%{_sysconfdir}/freeciv/database.lua
%{_bindir}/freeciv-*
%{_libdir}/libfreeciv-srv.a
%{_libdir}/libfreeciv.a
%{_datadir}/metainfo/org.freeciv.*.xml
%{_datadir}/applications/org.freeciv.*.desktop
%dir %{_datadir}/freeciv
%{_datadir}/freeciv/*
%{_datadir}/icons/hicolor/*/apps/freeciv-*.png
%{_datadir}/pixmaps/freeciv-*.png
%dir %{_docdir}/freeciv
%{_docdir}/freeciv/*
%{_mandir}/man6/freeciv*.6*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Fri Jan 03 2025 Automatic Build System <autodist@openmamba.org> 3.1.4-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 3.1.3-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 3.1.2-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 3.1.1-1mamba
- automatic version update by autodist

* Sat Mar 09 2024 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 3.0.10-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Sat Apr 08 2023 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Fri Dec 16 2022 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Fri Aug 05 2022 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed May 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-2mamba
- rebuilt by autoport with build requirements: libMagick-devel>=7.1.0.35-1mamba

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Mon Apr 12 2021 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Tue Jan 07 2020 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue Aug 28 2018 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 2.5.11-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 2.5.10-1mamba
- automatic version update by autodist

* Mon Aug 21 2017 Automatic Build System <autodist@mambasoft.it> 2.5.9-1mamba
- automatic version update by autodist

* Sun Aug 20 2017 Automatic Build System <autodist@mambasoft.it> 2.5.8-1mamba
- automatic version update by autodist

* Sat May 13 2017 Automatic Build System <autodist@mambasoft.it> 2.5.7-1mamba
- automatic version update by autodist

* Fri Nov 25 2016 Automatic Build System <autodist@mambasoft.it> 2.5.6-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Fri Mar 20 2015 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic update by autodist

* Mon Dec 08 2014 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Sat Apr 28 2012 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic version update by autodist

* Fri Mar 18 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.2.5-1mamba
- update to 2.2.5

* Fri Dec 17 2010 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic update by autodist

* Sun Aug 22 2010 Automatic Build System <autodist@mambasoft.it> 2.2.2-2mamba
- automatic rebuild by autodist

* Wed Jul 28 2010 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic update by autodist

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Tue Dec 29 2009 Automatic Build System <autodist@mambasoft.it> 2.1.10-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 2.1.9-1mamba
- automatic update by autodist

* Sat Jul 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.5-1mamba
- update to 2.1.5
- added full URL for Source
- fixed wrong placed defattr macro
- fixed group entry
- don't list all files but use globbing
- replace directory with rpm variables in files listing
- added automatic build requirements

* Fri May 09 2008 Riccardo Moja <riccardo.moja@gmail.com> 2.1.4-1mamba
- package created by autospec
